org.apache.catalina.storeconfig

## Class WebResourceRootSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.WebResourceRootSF

- All Implemented Interfaces:
    IStoreFactory

      public class WebResourceRootSF
      extends StoreFactoryBase

  Generate Resources element

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebResourceRootSF()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `storeChildren(PrintWriter aWriter, int indent, Object aResourceRoot, StoreDescription parentDesc)` Store the specified Resources children.

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebResourceRootSF

          public WebResourceRootSF()

  - ### Method Detail

    - #### storeChildren

          public void storeChildren(PrintWriter aWriter,
                           int indent,
                           Object aResourceRoot,
                           StoreDescription parentDesc)
                             throws Exception

      Store the specified Resources children.
      Overrides:
        `storeChildren` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - PrintWriter to which we are storing
        `indent` - Number of spaces to indent this element
        `aResourceRoot` - Current element
        `parentDesc` - The element description
      Throws:
        `Exception` - if an exception occurs while storing

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.